petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGetReusePreconditioner

Determines if the PC reuses the current preconditioner even if the operator in the preconditioner has changed.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGetReusePreconditioner(PC pc,PetscBool *flag)

Not Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

flag -PETSC_TRUE do not compute a new preconditioner, PETSC_FALSE do compute a new preconditioner Many br

Many br

### See Also

PCGetOperators(), MatZeroEntries(), PCSetReusePreconditioner()

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages